/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.ProductAgreement;

import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype mi-detail */
public class CommissionAgreementDetail {
    public BigDecimal calcDirectCommissionForProductSaleDetail() {
        return new BigDecimal(0);
    }

    public BigDecimal determineCommissionAtDistanceFromAgreementNode() {
        return new BigDecimal(0);
    }

    public BigDecimal mi_calcCommissionDuringAgreement() {
        return new BigDecimal(0);
    }

    private BigDecimal percentage;
    private int distanceFromAgreementNode;

    /**
     * @clientCardinality 0..*
     * @supplierCardinality 0..*
     */
    private RelMgmt.Party.GeographicRegion lnkUnnamed;
}


